package com.ss.android.ugc.aweme.sticker.model;

import X.C38896fH;
import X.C47416t1;
import X.M12;
import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;
import kotlin.h.b.n;

public final class LibraryVideo implements Parcelable, Serializable {
    public static final Parcelable.Creator<LibraryVideo> CREATOR = new C47416t1();
    @c(LIZ = "audioDuration")
    public final long audioDuration;
    @c(LIZ = "audioPath")
    @C38896fH
    public final String audioPath;
    @c(LIZ = "original_image_copy_path")
    @C38896fH
    public final String originalImageCopyPath;
    @c(LIZ = "videoDuration")
    public final long videoDuration;
    @c(LIZ = "videoPath")
    @C38896fH
    public final String videoPath;

    static {
        Covode.recordClassIndex(115758);
    }

    public final int describeContents() {
        return 0;
    }

    public final void writeToParcel(Parcel parcel, int i) {
        M12.LIZ(parcel);
        parcel.writeString(this.videoPath);
        parcel.writeString(this.audioPath);
        parcel.writeLong(this.videoDuration);
        parcel.writeLong(this.audioDuration);
        parcel.writeString(this.originalImageCopyPath);
    }

    public final long getAudioDuration() {
        return this.audioDuration;
    }

    public final String getAudioPath() {
        return this.audioPath;
    }

    public final String getOriginalImageCopyPath() {
        return this.originalImageCopyPath;
    }

    public final long getVideoDuration() {
        return this.videoDuration;
    }

    public final String getVideoPath() {
        return this.videoPath;
    }

    public final int hashCode() {
        return this.videoPath.hashCode();
    }

    public final boolean equals(Object obj) {
        if (obj instanceof LibraryVideo) {
            LibraryVideo libraryVideo = (LibraryVideo) obj;
            if (!n.LIZ(this.videoPath, libraryVideo.videoPath) || !n.LIZ(this.audioPath, libraryVideo.audioPath)) {
                return false;
            }
            return true;
        }
        return false;
    }

    public LibraryVideo(String str, String str2, long j, long j2, String str3) {
        M12.LIZ(str);
        this.videoPath = str;
        this.audioPath = str2;
        this.videoDuration = j;
        this.audioDuration = j2;
        this.originalImageCopyPath = str3;
    }
}
